package br.mp.mprj.portal.portlet.caderno.conf;

import com.liferay.portal.kernel.portlet.DefaultConfigurationAction;
import com.liferay.portal.kernel.util.ParamUtil;


import javax.portlet.ActionRequest;
import javax.portlet.ActionResponse;
import javax.portlet.PortletConfig;
import javax.portlet.PortletPreferences;
import javax.portlet.RenderRequest;
import javax.portlet.RenderResponse;

public class ConfigurationActionImpl extends DefaultConfigurationAction {
	
	@Override
    public void processAction(PortletConfig portletConfig, ActionRequest actionRequest, ActionResponse actionResponse) throws Exception { 

        super.processAction(portletConfig, actionRequest, actionResponse);

        PortletPreferences prefs = actionRequest.getPreferences();
        
        String urlConfig = ParamUtil.getString(actionRequest, "urlConfig"); 
        
        String PGJConfig = ParamUtil.getString(actionRequest, "PGJConfig"); 
        
        String CGMPConfig = ParamUtil.getString(actionRequest, "CGMPConfig"); 
        
        String SGJAConfig = ParamUtil.getString(actionRequest, "SGJAConfig"); 
        
        String SGJPIConfig = ParamUtil.getString(actionRequest, "SGJPIConfig"); 
        
        String SGJACIConfig = ParamUtil.getString(actionRequest, "SGJACIConfig"); 
        
        String SGJACDHConfig = ParamUtil.getString(actionRequest, "SGJACDHConfig"); 
        
        String SGJRIDPConfig = ParamUtil.getString(actionRequest, "SGJRIDPConfig"); 
        
        String CGConfig = ParamUtil.getString(actionRequest, "CGConfig"); 
        
        String CJConfig = ParamUtil.getString(actionRequest, "CJConfig"); 
        
        String AEConfig = ParamUtil.getString(actionRequest, "AEConfig"); 
        
        String CMPROCJConfig = ParamUtil.getString(actionRequest, "CMPROCJConfig"); 
        
        String CMPROMJConfig = ParamUtil.getString(actionRequest, "CMPROMJConfig"); 
        
        String CSIConfig = ParamUtil.getString(actionRequest, "CSIConfig"); 
        
        String CEAFConfig = ParamUtil.getString(actionRequest, "CEAFConfig"); 
        
        String OUVIConfig = ParamUtil.getString(actionRequest, "OUVIConfig");
        
        String SGMPConfig = ParamUtil.getString(actionRequest, "SGMPConfig");
        
        String AAOMCConfig = ParamUtil.getString(actionRequest, "AAOMCConfig");
        
        String ARCCConfig = ParamUtil.getString(actionRequest, "ARCCConfig");
        
        String GAOMCConfig = ParamUtil.getString(actionRequest, "GAOMCConfig");
        
        String ARCCRIConfig = ParamUtil.getString(actionRequest, "ARCCRIConfig");
        
        String ACConfig = ParamUtil.getString(actionRequest, "ACConfig");
        
        String ADHMConfig = ParamUtil.getString(actionRequest, "ADHMConfig");
        
        String AAPConfig = ParamUtil.getString(actionRequest, "AAPConfig");
        
        String AIConfig = ParamUtil.getString(actionRequest, "AIConfig");
       
        
        prefs.setValue("urlConfig", urlConfig);
        
        prefs.setValue("PGJConfig", PGJConfig);
        
        prefs.setValue("CGMPConfig", CGMPConfig);
        
        prefs.setValue("SGJAConfig", SGJAConfig);
        
        prefs.setValue("SGJPIConfig", SGJPIConfig);
        
        prefs.setValue("SGJACIConfig", SGJACIConfig);
        
        prefs.setValue("SGJACDHConfig", SGJACDHConfig);
        
        prefs.setValue("SGJRIDPConfig", SGJRIDPConfig);
        
        prefs.setValue("CGConfig", CGConfig);
        
        prefs.setValue("CJConfig", CJConfig);
        
        prefs.setValue("AEConfig", AEConfig);
        
        prefs.setValue("CMPROCJConfig", CMPROCJConfig);
        
        prefs.setValue("CMPROMJConfig", CMPROMJConfig);
        
        prefs.setValue("CSIConfig", CSIConfig);
        
        prefs.setValue("CEAFConfig", CEAFConfig);
        
        prefs.setValue("OUVIConfig", OUVIConfig);
        
        prefs.setValue("SGMPConfig", SGMPConfig);
        
        prefs.setValue("AAOMCConfig", AAOMCConfig);
        
        prefs.setValue("ARCCConfig", ARCCConfig);
        
        prefs.setValue("GAOMCConfig", GAOMCConfig);
        
        prefs.setValue("ARCCRIConfig", ARCCRIConfig);
        
        prefs.setValue("ACConfig", ACConfig);
        
        prefs.setValue("ADHMConfig", ADHMConfig);
        
        prefs.setValue("AAPConfig", AAPConfig);
        
        prefs.setValue("AIConfig", AIConfig);
        
      
        
        prefs.store();
    }

}